package com.izouma.zhirongip.service.resource;

import com.izouma.zhirongip.ApplicationTests;
import com.izouma.zhirongip.dto.PageQuery;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Map;

class IntellectualPropertyServiceTest extends ApplicationTests {

  @Autowired
  private IntellectualPropertyService propertyService;

  @Test
  void all() {
    PageQuery pageQuery = new PageQuery();
    Map<String, Object> query = pageQuery.getQuery();
//    query.put("inventor","刘建");
    System.out.println(propertyService.all(pageQuery).getContent());
  }
}
